/*
	This file is part of The Adventures of Stickman by Matt Trobaugh, which is dedicated to the public domain under a CC0 Public Domain Dedication. To view a copy of this dedication, visit http://creativecommons.org/publicdomain/zero/1.0/.

	The Adventures of Stickman is built on the Turpidge Game Engine version 1.1 by Matt Trobaugh.
*/


body
{
	background-color: black;
}

#gameBoard
{
	/*so it scrolls past the user interface elements*/
	border-bottom: solid 220px black;
	border-right: solid 320px black;
	
}

.space
{
	/*this doesn't do anything, but it could*/
}

#toolTip
{
	background-color: #ffffff;
	border: solid 1px black;
	padding: 0px 1px;
	
	visibility: hidden;
	position: absolute;
	white-space: nowrap;
	z-index: 2;
}

#dialog
{
	background-color: #ffffff;
	border: solid 1px black;
	border-top-left-radius:2em;
	border-top-right-radius:2em;
	border-bottom-right-radius:2em;
	padding: 10px;
	width: 250px;
	
	opacity: 0;
	position: absolute;
}

#controls
{
	width: 500px;
	background-color: #ffffff;
	border: solid 1px black;
	margin-left: auto;
	margin-right: auto;
	margin-top: 10px;
	padding: 5px;
	
	visibility: hidden;
	position: fixed;
	z-index: 2;
}

#controlsTop
{
	border-bottom: solid 1px black;
	margin-top: 0px;
	margin-bottom: 5px;
	display: block;
}

#panel
{
	height: 150px;
	border-top: solid 1px black;
	margin-top: 5px;
	overflow-y: scroll;
}


/*****  Battle Elements  *****/

.moveOption
{
	box-shadow: 0px 0px 0px 1px blue inset;
	cursor: pointer;
}

.attackRange
{
	box-shadow: 0px 0px 0px 1px red inset;
}

.attackSights
{
	box-shadow: 0px 0px 25px 1px red inset;
}

.spellRange
{
	box-shadow: 0px 0px 0px 1px purple inset;
}

.spellSights
{
	box-shadow: 0px 0px 25px 1px purple inset;
}

.itemRange
{
	box-shadow: 0px 0px 0px 1px orange inset;
}

.itemSights
{
	box-shadow: 0px 0px 25px 1px orange inset;
}

#scoreBoard
{
	width: 300px;
	padding: 1px;
	top: 20px;
	right: 20px;
	resize: both;
	
	visibility: hidden;
	position: fixed;
	z-index: 2;
}

.scoreBoardSide
{
	width: 147px;
	float: left;
	margin: 1px;
}

.scoreBoardHpBlock
{
	float: right;
	margin-right: 3px;
}

#scoreBoardPlayerHeading
{
	background-color: #c2ad99;
	margin: 1px;
	text-align: center;
}

.scoreBoardPlayerChar
{
	background-color: #c2ad99;
	margin: 1px;
	overflow: hidden;
	resize: none;
}

.scoreBoardPlayerCharName
{
	float: left;
	margin-left: 3px;
}

#scoreBoardEnemyHeading
{
	background-color: #a3c2c2;
	margin: 1px;
	text-align: center;
}

.scoreBoardEnemyChar
{
	background-color: #a3c2c2;
	margin: 1px;
	overflow: hidden;
	resize: none;
}

.scoreBoardEnemyCharName
{
	float: left;
	margin-left: 3px;
}

.scoreBoardDeadChar
{
	background-color: #b2b2b2;
	font-style: italic;
}

